<html>
<head>
<title>OGRE: OgreCompositorInstance.h File Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li><a href="classes.html"><span>Classes</span></a></li>
    <li class="current"><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="dir_d6c9b501d36b850bf0bac687671293db.html">OgreMain</a>&nbsp;&raquo&nbsp;<a class="el" href="dir_f35e1e76cd4423745a1cccb1f171d4e3.html">include</a></div>
<h1>OgreCompositorInstance.h File Reference</h1><code>#include &quot;<a class="el" href="OgrePrerequisites_8h-source.html">OgrePrerequisites.h</a>&quot;</code><br>
<code>#include &quot;<a class="el" href="OgreMaterial_8h-source.html">OgreMaterial.h</a>&quot;</code><br>
<code>#include &quot;<a class="el" href="OgreTexture_8h-source.html">OgreTexture.h</a>&quot;</code><br>
<code>#include &quot;<a class="el" href="OgreRenderQueue_8h-source.html">OgreRenderQueue.h</a>&quot;</code><br>

<p>
<a href="OgreCompositorInstance_8h-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Namespaces</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">namespace &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html">Ogre</a></td></tr>

<tr><td colspan="2"><br><h2>Classes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorInstance.html">Ogre::CompositorInstance</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">An instance of a <a class="el" href="classOgre_1_1Compositor.html" title="Class representing a Compositor object.">Compositor</a> object for one <a class="el" href="classOgre_1_1Viewport.html" title="An abstraction of a viewport, i.e.">Viewport</a>.  <a href="classOgre_1_1CompositorInstance.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorInstance_1_1Listener.html">Ogre::CompositorInstance::Listener</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Provides an interface to "listen in" to to render system operations executed by this <a class="el" href="classOgre_1_1CompositorInstance.html" title="An instance of a Compositor object for one Viewport.">CompositorInstance</a>.  <a href="classOgre_1_1CompositorInstance_1_1Listener.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorInstance_1_1RenderSystemOperation.html">Ogre::CompositorInstance::RenderSystemOperation</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Specific render system operation.  <a href="classOgre_1_1CompositorInstance_1_1RenderSystemOperation.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorInstance_1_1TargetOperation.html">Ogre::CompositorInstance::TargetOperation</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Operation setup for a <a class="el" href="classOgre_1_1RenderTarget.html" title="A &#39;canvas&#39; which can receive the results of a rendering operation.">RenderTarget</a> (collected).  <a href="classOgre_1_1CompositorInstance_1_1TargetOperation.html#_details">More...</a><br></td></tr>
<tr><td colspan="2"><br><h2>Variables</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">const size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html#56cbccda3a83b1e035e5be74fb17406e">Ogre::RENDER_QUEUE_COUNT</a> = RENDER_QUEUE_MAX+1</td></tr>

</table>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:48:57 2008
</p>
</body>
</html>
